<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: big_int/big_int.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_5db558babed64f86f4b9d8ee3809440c.html">big_int</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">big_int.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="big__int_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef BIG_INT_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define BIG_INT_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="structchunk.html">    8</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structchunk.html">chunk</a></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;{</div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="structchunk.html#a1c727c737dc665a5418ef296b9a80762">   10</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structchunk.html">chunk</a>* <a class="code" href="structchunk.html#a1c727c737dc665a5418ef296b9a80762">next</a>;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="structchunk.html#ae7f66047e6e39ba2bb6af8b95f00d1dd">   11</a></span>&#160;    uint32_t <a class="code" href="structchunk.html#ae7f66047e6e39ba2bb6af8b95f00d1dd">value</a>;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;} <a class="code" href="big__int_8h.html#a16832ab044f6adceddcca03f81392610">chunk_t</a>;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="structbig__int__module.html">   15</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structbig__int__module.html">big_int_module</a></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="structbig__int__module.html#aa1f7877d9438532f389f1b3503eba78f">   17</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structchunk.html">chunk</a>* <a class="code" href="structbig__int__module.html#aa1f7877d9438532f389f1b3503eba78f">first</a>;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;} <a class="code" href="big__int_8h.html#a2f84f9a59bbb36e232ec2aa20515056f">big_int_module_t</a>;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keywordtype">void</span> <a class="code" href="big__int_8h.html#af6012ef8f9e9d1e3056285583518d6bb">bi_init_module</a>(<a class="code" href="structbig__int__module.html">big_int_module_t</a>* b, <a class="code" href="structchunk.html">chunk_t</a> pool[], uint32_t capacity);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="big__int_8h_html_a2f84f9a59bbb36e232ec2aa20515056f"><div class="ttname"><a href="big__int_8h.html#a2f84f9a59bbb36e232ec2aa20515056f">big_int_module_t</a></div><div class="ttdeci">struct big_int_module big_int_module_t</div></div>
<div class="ttc" id="structchunk_html_a1c727c737dc665a5418ef296b9a80762"><div class="ttname"><a href="structchunk.html#a1c727c737dc665a5418ef296b9a80762">chunk::next</a></div><div class="ttdeci">struct chunk * next</div><div class="ttdef"><b>Definition:</b> big_int.h:10</div></div>
<div class="ttc" id="structbig__int__module_html_aa1f7877d9438532f389f1b3503eba78f"><div class="ttname"><a href="structbig__int__module.html#aa1f7877d9438532f389f1b3503eba78f">big_int_module::first</a></div><div class="ttdeci">struct chunk * first</div><div class="ttdef"><b>Definition:</b> big_int.h:17</div></div>
<div class="ttc" id="structchunk_html"><div class="ttname"><a href="structchunk.html">chunk</a></div><div class="ttdef"><b>Definition:</b> big_int.h:8</div></div>
<div class="ttc" id="structchunk_html_ae7f66047e6e39ba2bb6af8b95f00d1dd"><div class="ttname"><a href="structchunk.html#ae7f66047e6e39ba2bb6af8b95f00d1dd">chunk::value</a></div><div class="ttdeci">uint32_t value</div><div class="ttdef"><b>Definition:</b> big_int.h:11</div></div>
<div class="ttc" id="big__int_8h_html_af6012ef8f9e9d1e3056285583518d6bb"><div class="ttname"><a href="big__int_8h.html#af6012ef8f9e9d1e3056285583518d6bb">bi_init_module</a></div><div class="ttdeci">void bi_init_module(big_int_module_t *b, chunk_t pool[], uint32_t capacity)</div></div>
<div class="ttc" id="structbig__int__module_html"><div class="ttname"><a href="structbig__int__module.html">big_int_module</a></div><div class="ttdef"><b>Definition:</b> big_int.h:15</div></div>
<div class="ttc" id="big__int_8h_html_a16832ab044f6adceddcca03f81392610"><div class="ttname"><a href="big__int_8h.html#a16832ab044f6adceddcca03f81392610">chunk_t</a></div><div class="ttdeci">struct chunk chunk_t</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
